function [D]=montaDejemplo(gradlib)
q=sym('q',[1 gradlib]);
l=sym('l',[1 2]);
qh=gradrad([45 315]);
lh=[0.4 0.3];
%saco las matrices de transformcin homogenea entre sistemas
%de coordenadas consecutivos en funcion de q
A1 = [cos(q(1)) -sin(q(1)) 0 0.4*cos(q(1));
      sin(q(1)) cos(q(1))  0 0.4*sin(q(1));
      0           0        1       0;
      0           0        0       1];
A2 = [cos(q(2)) -sin(q(2)) 0 0.3*cos(q(2));
      sin(q(2)) cos(q(2))  0 0.3*sin(q(2));
      0           0        1       0;
      0           0        0       1];

%m,Kgm^2
%       sx      sy    sz    Ix   Iy   Iz     m
Dat=[ -0.20     0     0     0  0.013 0.013   1;
       -0.15    0     0     0  0.013 0.013 0.5];

matD=sym(zeros(gradlib));

for i=1:gradlib
for j=1:gradlib
    
    if(j>=i)
        p=j;
        if (p==1)
        T=A1;      
        else 
         T=A1*A2;
	end
       matD(i,j)=matD(i,j)+double(subs(trace((diff(T,q(p),1))*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh));
            
    else 
        p=i;
        if (p==1)
        T=A1;      
        else 
         T=A1*A2;
	end
       matD(i,j)=matD(i,j)+double(subs(trace((diff(T,q(p),1))*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh));
        
    end
end
end
D=matD;
end