function [Resultado2]=montahijk(gradlib,thetas,vel)
qd=vel';
qh=thetas;
q=sym('q',[1 6]);
d=[0 0.12954 0 0.43209 0 0.05626];
a=[0 0.4318 -0.02032 0 0 0];
alfa=[-pi/2 0 pi/2 -pi/2 pi/2 0];

%saco las matrices de transformcin homogenea entre sistemas
%de coordenadas consecutivos en funcion de q
A1 = denavit(q(1), d(1), a(1), alfa(1));
A2 = denavit(q(2), d(2), a(2), alfa(2));
A3 = denavit(q(3), d(3), a(3), alfa(3));
A4 = denavit(q(4), d(4), a(4), alfa(4));
A5 = denavit(q(5), d(5), a(5), alfa(5));
A6 = denavit(q(6), d(6), a(6), alfa(6));

%m,Kgm^2
%      sx      sy    sz      Ix        Iy      Iz       m
Dat=[  0      0.08    0     0.195    0.026    0.195    4.43;
       0.216    0   -0.026  0.588    1.886    1.470    10.20;
       0     -0.216   0     0.324    0.017    0.324    4.80;
       0        0   -0.02   0.00383  0.00383  0.0025   1.18;
       0        0     0     0.000216 0.000216 0.000348 0.32;
       0        0    0.01   0.000437 0.000437 0.000013 0.13];

   math=zeros(6,1);
   
   for i=1:gradlib
       for j=1:gradlib
          for k=1:gradlib
                  
    if(i>j)&&(i>k)
      p=i;
       if (p==1)
        T=A1;
        elseif (p==2)
        T=A1*A2;
        elseif (p==3)
        T=A1*A2*A3;
        elseif (p==4)
        T=A1*A2*A3*A4;
        elseif (p==5)
        T=A1*A2*A3*A4*A5;
        else 
        T=A1*A2*A3*A4*A5*A6;
        end
    
       math(i)=math(i)+((subs(trace(diff((diff(T,q(j),1)),q(k),1)*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh))*qd(j)*qd(k));
            
    elseif (j>i)&&(j>k) 
       p=j;
        if (p==1)
        T=A1;
        elseif (p==2)
        T=A1*A2;
        elseif (p==3)
        T=A1*A2*A3;
        elseif (p==4)
        T=A1*A2*A3*A4;
        elseif (p==5)
        T=A1*A2*A3*A4*A5;
        else 
        T=A1*A2*A3*A4*A5*A6;
        end
       
       math(i)=math(i)+((subs(trace(diff((diff(T,q(j),1)),q(k),1)*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh))*qd(j)*qd(k));
       
    elseif(k>i)&&(k>j)
        p=k;
        if (p==1)
        T=A1;
        elseif (p==2)
        T=A1*A2;
        elseif (p==3)
        T=A1*A2*A3;
        elseif (p==4)
        T=A1*A2*A3*A4;
        elseif (p==5)
        T=A1*A2*A3*A4*A5;
        else 
        T=A1*A2*A3*A4*A5*A6;
        end
       
       math(i)=math(i)+((subs(trace(diff((diff(T,q(j),1)),q(k),1)*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh))*qd(j)*qd(k));
       
    else
        p=i;
        if (p==1)
        T=A1;
        elseif (p==2)
        T=A1*A2;
        elseif (p==3)
        T=A1*A2*A3;
        elseif (p==4)
        T=A1*A2*A3*A4;
        elseif (p==5)
        T=A1*A2*A3*A4*A5;
        else 
        T=A1*A2*A3*A4*A5*A6;
        end
       
      math(i)=math(i)+((subs(trace(diff((diff(T,q(j),1)),q(k),1)*montaH(Dat(p,:))*(diff(T,q(i),1))'),q,qh))*qd(j)*qd(k));
    end
          end
       end
   end
   Resultado2=math;
end